---
title: "Historical contract: Find User Metafield"
description: "Historical Ordering.co API contract for GET /users/{user_id}/metafields/{metafield_id}, kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/find-user-metafield/
---

# Historical contract: Find User Metafield

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Find User Metafield

This API endpoint uses to obtain a spefific user metafield

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/users/GET/users/%7Buser_id%7D/metafields/%7Bmetafield_id%7D)

## Parameters

```json
[
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "user_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  },
  {
    "name": "params",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "metafield_id",
    "in": "path",
    "schema": {
      "type": "string"
    },
    "required": true
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
